\documentclass{beamer}
\mode<presentation>
\usetheme{Pittsburgh}
\title{Freedom of Speech \& The Internet}
\author{Andrew Lewman \\ andrew@torproject.org}
\date{October 20, 2009}
\begin{document}

\begin{frame}
\maketitle  
\begin{center}
\includegraphics[height=3cm]{./images/2009-tor-logo}
\hspace{1cm} 
\includegraphics[height=3cm]{./images/chacha}
\end{center}
\end{frame}
  
\begin{frame}
\frametitle{Universal Declaration of Human Rights}
\textbf{Article 19}
\medskip
\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad Everyone has the right to freedom of opinion and expression; this
right includes freedom to hold opinions without interference and to
seek, receive and impart information and ideas through any media and
regardless of frontiers.
\end{quotation}

\bigskip
\textbf{Article 20}
\medskip
\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad Everyone has the
right to freedom of peaceful assembly and association.
\end{quotation}
\end{frame}

\begin{frame}
\frametitle{Online archives are easily censored}

\begin{center}
\includegraphics<1>[height=7.5cm]{./images/observer}
\includegraphics<2>[height=6.5cm]{./images/guardian-crop}
\end{center}

\end{frame}

\begin{frame}
\frametitle{The Internet facilitates centralisation}

     \begin{columns}[t]
      \column{7cm}
\begin{itemize}
\item Centralised systems work better: cheaper, more versatile, and more efficient
\item By eliminating distance, the Internet allows greater centralisation
\item Centralised archiving of physical newspapers is awkward, but online archiving works well
\item This makes life easier for readers, and censors too
\item Many libraries are now dropping archiving of paper in favour of electronic subscriptions
\end{itemize}
      \column{5cm}
     \vbox{}
    \parbox{5cm}{\includegraphics[width=4.5cm]{./images/observer}}
    \bigskip

    \parbox{5cm}{\includegraphics[width=4.5cm]{./images/guardian-crop}}
    \end{columns}

\end{frame}

\begin{frame}
\frametitle{George Orwell was an optimist}
\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad Who controls the past, controls the future: who controls the present controls the past
\end{quotation}
\flushright --- George Orwell, Nineteen Eighty Four, 1949

\flushleft
The re-writing of history is now much more efficient than when George
Orwell imagined armies of Winston Smiths cutting holes in newspaper
archives

\end{frame}

\begin{frame}
\frametitle{The Internet eases publication too}
     \begin{columns}[t]
      \column{7.5cm}
\begin{itemize}
\item ``The Catholic Orangemen of Togo'', by Craig Murray, was dropped by its publisher due to libel threats
\item Even the Cambridge University Press pulped a book, ``Alms for Jihad'' by J. Millard Burr and Robert O. Collins, following legal action
\item The lack of support from a publisher and network of book shops would previously be devastating
\item However, the Internet facilitates self-publishing and marketing
\end{itemize}
      \column{6cm}
     \vbox{}
     \begin{overlayarea}{6cm}{6cm}
     \parbox{6cm}{\includegraphics<1>[width=5cm]{./images/orangemen}
       \includegraphics<2>[width=5cm]{./images/murray}}
     \end{overlayarea}
    \end{columns}
\end{frame}

\begin{frame}
\frametitle{Internet architecture allows censorship}
\begin{center}
\includegraphics[width=9cm]{./images/cnmap}
\end{center}
      \flushright

      \tiny Diagram: China Internet Network Information Center
\end{frame}

 \begin{frame}
    \frametitle{What is being blocked, and why}
    \begin{columns}[t]
      \column{7cm}
     \setbeamercovered{transparent}

      \begin{itemize}
      \item Out of the 40 countries studied by the OpenNet Initiative in 2006, 26 censored the Internet in some way
      \item The types of material censored varied depending on country, e.g.:
        \begin{itemize}
        \item<1-> Human Rights (blocked in China)
        \item<2-> Religion (blocked in Saudi Arabia, UAE, Iran, Bahrain)
        \item<3-> Pornography (blocked in Saudi Arabia, UAE, Iran, Bahrain, Singapore, Burma, \ldots)
        \end{itemize}
      \item Other issues censored include: military and militant websites; sex education, alcohol/drugs, music; gay and lesbian websites; news
      \end{itemize}
      \setbeamercovered{invisible}
      \column{5cm}
      \vbox{}
      \begin{overlayarea}{5cm}{10.5cm}
        \only<1>{\resizebox{5cm}{!}{\includegraphics{./images/hrichina}}}
        \only<2>{\resizebox{5cm}{!}{\includegraphics{./images/islameyat}}}
        \only<3>{\resizebox{5cm}{!}{\includegraphics{./images/playboy}}}
      \end{overlayarea}
    \end{columns}
  \end{frame}

 \begin{frame}
    \frametitle{Even if a site is accessible, it may be removed from search engine results}
    \begin{center}
    \includegraphics[width=11cm]{./images/tiananmen}
    \end{center}
    Searching for ``Tiananmen Square'' on Google.com and Google.cn
  \end{frame}

\begin{frame}
\frametitle{Resisting Internet censorship}

\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad The Net interprets censorship as damage and routes around it.
\end{quotation}
\flushright --- John Gilmore, 1993

\flushleft

No longer true on a technical level: censorship is in the routers.
\medskip

Remains true on a social level: when material is censored, people distribute copies and draw attention to them
\medskip

But what if people are too afraid to do this?

\end{frame}

\begin{frame}
\frametitle{Self-censorship through fear, intimidation, and punishment}
People can be intimidated into not testing rules through fear of detection and retribution
\begin{columns}[t]
\column{5.5cm}
\vbox{}
%% http://farm1.static.flickr.com/150/347760599_fedfd250cb.jpg

\includegraphics[width=5.5cm]{./images/kareem}
\column{5.5cm}
\vbox{}

\textit{``I call on Egyptian government officials to take the necessary procedures to protect the Egyptian youth from the spread of subversive religious ideologies among them by permanently shutting down religious institutions in this country.''}
\flushright --- Kareem Amer (sentenced to four years' prison in Egypt)
\end{columns}
\end{frame}
\begin{frame}
\frametitle{Freedom of speech and privacy}

\textbf{United States Constitution: 1st Amendment}

%\medskip

\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad Congress shall make no law respecting an establishment of religion, or prohibiting the free exercise thereof; or abridging the freedom of speech, or of the press; or the right of the people peaceably to assemble, and to petition the Government for a redress of grievances.
\end{quotation}

\textbf{McIntyre v. Ohio Elections Commission}

%\medskip

\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad Protections for anonymous speech are vital to democratic discourse. Allowing dissenters to shield their identities frees them to express critical, minority views \ldots Anonymity is a shield from the tyranny of the majority \ldots It thus exemplifies the purpose behind the Bill of Rights, and of the First Amendment in particular
\end{quotation}

\end{frame}

\begin{frame}

  \frametitle{Internet surveillance is pervasive}

     \begin{columns}[t]
      \column{7cm}
\begin{itemize}
\item Conventional surveillance methods had to be targeted
\item Internet censorship is capable of monitoring everyone, all of the time
\item Governments are increasing monitoring: SORM (Russia), Golden Shield (China), and Interception Modernisation Programme (UK)
\item 1 in 7 East German citizens worked for the Stasi. Today we can achieve the same results with a fraction of the cost
\end{itemize}

      \column{5cm}
     \vbox{}
    \parbox{5cm}{\includegraphics[width=4.5cm]{./images/nsa-room}}
    \end{columns}

\end{frame}
\begin{frame}

\frametitle{Traffic data surveillance}

\begin{itemize}
\item Traffic data (who talks to whom, how often and for how long) is the core of intelligence capabilities
\item This information is cheaper to record and store, compared to full content
\item Because it can be easily processed by computer, data mining techniques can be used to understand social structures
\end{itemize}

\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad No government of any colour is to be trusted with such a roadmap to our souls
\end{quotation}
\flushright --- Sir Ken Macdonald, former director of public prosecutions, on the UK Interception Modernisation Program

\end{frame}

\begin{frame}
    \frametitle{Importantly, information on social networks can be derived}
    \begin{columns}[t]
      \column{4.5cm}
      \vspace{0cm}
      
             {\color{red}$\bullet$} Communities\newline
             {\color{blue}$\bullet$} People
             \column{7cm}
             \vbox{}
             
             \includegraphics[clip, trim=5cm 12cm 2cm 5cm,width=7cm]{./images/network}
    \end{columns}
    \flushright{\tiny From ``The Economics of Mass Surveillance'' by George Danezis and Bettina Wittneben}
  \end{frame}
 
  \begin{frame}
  \frametitle{The Transparent Society}

     \begin{columns}[t]
      \column{7cm}
\begin{itemize}
\item David Brin proposed that a world of pervasive surveillance, balance could be maintained by allowing everyone to monitor everyone else
\item Bruce Schneier retorted that surveillance amplifies existing powers
\item Many countries restrict anonymous speech (e.g.\ Germany and China)
\item It is easy for those in power to call on the weak to link their names to opinions
\end{itemize}

      \column{5cm}
     \vbox{}
    \parbox{5cm}{\includegraphics[width=4.5cm]{./images/namesheet}}

\flushright{\tiny Photo: Manos Simonides}
    \end{columns}
\end{frame}

\begin{frame}
\frametitle{Censorship resistance systems}
\begin{itemize}
\item Software to resist censorship should
\begin{itemize}
 \item Hide where user is visiting (to prevent blocking)
 \item Hide who the user is (to protect them from intimidation)
\end{itemize}
\item These properties should be maintained even if the censorship resistance system is partially compromised
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Blocking with technology}
\begin{itemize}
\item When a country's government controls international connectivity, they can block requests for banned websites
\item There are a number of different approaches (DNS blocking, IP address blocking, etc.)
\item Software may be produced in-country, but often is an adapted commercial product
\item These companies not only make the software, but provide a continuously updated list of websites to be blocked
\end{itemize}

\end{frame}

  \begin{frame}
    \frametitle{Normal web browsing}

    \begin{centering}
    \vbox{}

    \includegraphics[clip, trim=1cm 4cm 1cm 2.2cm, width=10cm]{./images/no-proxy}
    \end{centering}

\vspace{-1cm}

      \flushright

      \tiny Diagram: Jane Gowan

  \end{frame}

  \begin{frame}
    \frametitle{DNS tampering}

    \begin{centering}
    \vbox{}

    \includegraphics[clip, trim=1cm 4cm 1cm 2.2cm, width=10cm]{./images/dns}
    \end{centering}

\vspace{-1cm}

      \flushright

      \tiny Diagram: Jane Gowan

  \end{frame}

  \begin{frame}
    \frametitle{IP blocking}

    \begin{centering}
    \vbox{}

    \includegraphics[clip, trim=1cm 4cm 1cm 2.2cm, width=10cm]{./images/ip}
    \end{centering}

\vspace{-1cm}

      \flushright

      \tiny Diagram: Jane Gowan

  \end{frame}
  
  \begin{frame}
\frametitle{Tradeoffs in blocking systems}
\begin{itemize}
\item DNS blocking
\begin{itemize}
\item Easy and cheap to implement
\item Blocks at domain name granularity -- overblocks protocols, webpages
\item Trivial to bypass
\end{itemize}
\item IP blocking
\begin{itemize}
\item Easy and cheap to implement
\item Blocks at IP address (perhaps port) -- overblocks virtual hosting
\end{itemize}
\item Proxy blocking
\begin{itemize}
\item Expensive to implement
\item Blocks at webpage level -- low overblocking
\end{itemize}
\item Hybrid blocking -- IP based redirection to proxy
\begin{itemize}
\item Tricky to get right, but cheap
\item Has some vulnerabilities
\item Blocks at webpage level -- low overblocking
\end{itemize}
\end{itemize}
\end{frame}
\begin{frame}
\frametitle{There are many other reasons why people might want privacy}
\begin{itemize}
\item Ordinary people
\begin{itemize}
\item To avoid personal information being sold to marketers
\item Protect themselves when researching sensitive topics
\end{itemize}
\item Militaries and law enforcement
\begin{itemize}
\item To carry out intelligence gathering
\item Protect undercover field agents
\item Offer anonymous tip lines
\end{itemize}
\item Journalists
\begin{itemize}
\item To protect sources, such as whistle blowers
\end{itemize}
\item Human rights workers
\begin{itemize}
\item To publicise abuses and protect themselves from surveillance
\item Blogging about controversial subjects
\end{itemize}
\item Businesses
\begin{itemize}
\item To observe their competition and build anonymous collaborations
\end{itemize}
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Anonymous communication}
\begin{itemize}
\item People have to hide in a crowd of other people (``anonymity loves company'')
\item The goal of the system is to make all users look as similar as possible, to give a bigger crowd
\item Hide who is communicating with whom
\item Layered encryption and random delays hide correlation between input traffic and output traffic
\end{itemize}

\begin{center}
\includegraphics[width=8cm]{./images/800px-Decryption_mix_net}
\end{center}

\end{frame}

\begin{frame}
\frametitle{Tor is a low-latency anonymity system}
\begin{itemize}
\item Based on technology developed in the Onion Routing project
\item Commonly used for web browsing (works for any TCP traffic)
\item Originally built as a pure anonymity system (hides who is talking to whom)
\item Now designed to resist censorship too (hides whether someone is using the system at all)
\item Centralised directory authorities publish a list of all servers
\end{itemize}

\begin{center}
\includegraphics[height=3cm]{./images/2009-tor-logo}
\end{center}

\end{frame}

  \begin{frame}
    \frametitle{Tor hides communication patterns by relaying data through volunteer servers}
    \begin{center}
      \begin{overlayarea}{9cm}{6cm}
      \only<1>{\includegraphics[width=9cm]{./images/tor-network}}
      \only<2>{\includegraphics[width=9cm]{./images/tor-safe-selection}}
      \only<3>{\includegraphics[width=9cm]{./images/tor-safe-path}}
      \end{overlayarea}
      \flushright

      \tiny Diagram: Robert Watson
    \end{center}
  \end{frame}

  \begin{frame}
  \frametitle{Tor hidden services allow censorship resistant hosting of services}
  \begin{center}
    \includegraphics[width=14cm]{./images/wikileaks}
  \end{center}
  \end{frame}
  
\begin{frame}
\frametitle{How is Tor different from other systems?}
\\[3cm]
\begin{center}
\begin{overlayarea}{9cm}{6cm}
\only<1>{\includegraphics[height=5cm]{./images/single-hop-proxy}}
\only<2>{\includegraphics[height=5cm]{./images/evil-single-hop-proxy}}
\end{overlayarea}
\end{center}
\end{frame}
  
\begin{frame}
\frametitle{Limitations of censorship resistance}
\begin{itemize}
\item Censorship resistance is thought controversial -- especially by the censors
\item There is something for everyone to like, and something for everyone to dislike, going on with censorship resistance systems
\item Bad people do use them to do bad things (for many different definitions of bad people)
\item It is impossible to block bad uses, even if we could come up with a common definition of bad content
\item The systems are not perfect, so it is possible some people will be caught
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Conclusions}
    \begin{columns}[t]
      \column{7cm}
      \begin{itemize}
      \item The Internet and centralisation can both improve and harm freedom of speech
      \item Slogans regarding the borderless nature and inherent freedoms of the Internet are frequently wrong
      \item Technical details matter: how a system is implemented can make a radical difference
      \item Technologies can be used to resist censorship and improve privacy
      \item However, policies must be changed too and pressure is needed on legislators
      \end{itemize}
      \column{5cm}
      \vbox{}
      \begin{overlayarea}{5cm}{10cm}
        \resizebox{5cm}{!}{\includegraphics{./images/collage}}
      \end{overlayarea}
    \end{columns}
\end{frame}

\begin{frame}
\frametitle{One Version of the Future}
\begin{quotation}
\noindent \includegraphics[width=1cm]{./images/opquo}\quad I'd like to change the design of the Internet by introducing                                                                                                 
regulation--Internet passports, Internet police and international                                                                                            
agreement--about following Internet standards. And if some countries                                                                                         
don't agree with or don't pay attention to the agreement, just cut                                                                                           
them off. 
\end{quotation}
\flushright --- Eugene Kaspersky, Co-Founder \& CEO of Kaspersky Labs
\end{frame}

\begin{frame}
\frametitle{Another Version of the Future}
\begin{itemize}
\item Increased funding of research and development for circumvention and anti-censorship technologies
\item Policy and Legal frameworks for free speech and anonymity
\item Mobile devices and telco innovation
\item Ambient connectivity
\end{itemize}
\end{frame}
 
\begin{frame}
\frametitle{Credits}
\begin{itemize}
\item Thank you to Steven J. Murdoch, \url{http://www.cl.cam.ac.uk/users/sjm217/}, for the research and basis for this presentation. \\
\item Photographer and Diagram credits as listed throughout the presentation.
\end{itemize}
\end{frame}

\end{document}
